<?php
//	Recherche pour affichage liens connexes internes dans annuaire FreeGlobes
function crossIndexing($site){
	global $CONFIG;
	$buffer = '';
	
	//	Id du site en question
	$siteid = $site[0];
	
	$lm =& get_manager("link");
	$myts =& MyTextSanitizer::getInstance();
	$re = MyRewriteEngine::getInstance();
	
	$start = 0;
	$limit = 10;
	
	//	Rcuprer la description du site en question
	$lm =& get_manager('link');
	$criteria = new Criteria('id',$siteid,'=');
	$criteria->setLimit(1);
	$links =& $lm->getObjects($criteria);
	
	//echo '<pre>'; print_r($links); echo '</pre>';
	$id = $links[0]->getVar('id');
	$titre = $links[0]->getVar('name');
	unset($links);
	
	$recherche = strtolower($titre);

	$mots = str_replace('+', ' ', trim($recherche));
	$mots = str_replace('\'', ' ', $mots);
	$mots = str_replace('%', ' ', $mots);
	$mots = str_replace(',', ' ', $mots);
	$mots = str_replace(':', ' ', $mots);

	$tab = explode(' ' , $mots);
	$nb = count($tab);
	
	$criteriacompo = new CriteriaCompo(new Criteria('id',0,'='),'OR');

	for($i = 0; $i < $nb; $i++){
		if(strlen($tab[$i]) >= $CONFIG['search_minlength']){
			$criteriacompo->add(new Criteria('name',"%".$tab[$i]."%",'LIKE'),'OR');
			$criteriacompo->add(new Criteria('description',"%".$tab[$i]."%",'LIKE'),'OR');
		}
	}

	$criteriacompo2 = new CriteriaCompo($criteriacompo,'AND');
	$criteriacompo2->add(new Criteria('state',4,'='),'AND');
	
	$criteriacompo2->setOrder('RAND');
	$criteriacompo2->setSort('id');
	$criteriacompo2->setLimit($limit);
	$criteriacompo2->setStart($start);

	// Colonnes  slectionner pour le plugin
	$cols = array('id', 'name', 'description');
	$links =& $lm->getObjects($criteriacompo2,$cols);
	
	//	Prparation de la liste des sites	
	if(count($links) > 0){
		$buffer .= '<ul>';
		foreach($links as $lnk){
			if($lnk->getVar('id') != $siteid){
				if($CONFIG['url_rewriting'] == "1"){
					$uri = $re->code_url($lnk->getVar('name'));
					$fulluri = $CONFIG['site_url'].'/'.$uri.'-s-'.$lnk->getVar('id').'.html';
					$buffer .= '<li><a href="'.$fulluri.'">'.$lnk->getVar('name').'</a><br />'.substr(strip_tags(html_entity_decode($lnk->getVar('description'))), 0, 200).'...</li>'."\n";
				}
				else{
					$buffer .= '<li><a href="'.$CONFIG['site_url'].'/single.php?id='.$lnk->getVar('id').'">'.$lnk->getVar('name').'</a></li>'."\n";
				}
			}
		}
		$buffer .= '</ul><br />Plugin r&eacute;alis&eacute; par Mathieu Gheerbrant <a href="http://www.seo-france.net/">Consultant Expert R&eacute;f&eacute;rencement</a>';
	}
	
	echo $buffer;
}
?>